Botan 2.19.5 Crypto and TLS for C&

Namespaces | Macros
chacha.cpp File Reference
`#include <botan/chacha.h>`
`#include <botan/exceptn.h>`
`#include <botan/loadstor.h>`
`#include <botan/rotate.h>`
`#include <botan/cpuid.h>`

Go to the source code of this file.

## Namespaces
namespace | Botan

## Macros
#define | CHACHA_QUARTER_ROUND(a, b, c, d)

## Macro Definition Documentation

## ◆ CHACHA_QUARTER_ROUND

#define CHACHA_QUARTER_ROUND | ( |  | a,
|  |  | b,
|  |  | c,
|  |  | d
| ) |  |

Value:
do { \
a += b; d ^= a; d = rotl<16>(d); \
c += d; b ^= c; b = rotl<12>(b); \
a += b; d ^= a; d = rotl<8>(d); \
c += d; b ^= c; b = rotl<7>(b); \
} while(0)

Definition at line 18 of file chacha.cpp.